Categories:
  - Games
License: GPL-2.0-only
AuthorEmail: xwords@eehouse.org
WebSite: http://xwords.sourceforge.net/android.php
SourceCode: http://xwords.sourceforge.net/source.php
IssueTracker: http://xwords.sourceforge.net/contact.php
Changelog: http://xwords.sf.net/and_changes.php
Donate: https://www.paypal.com/cgi-bin/webscr?item_name=Donation+to+Crosswords+for+handhelds&cmd=_donations&business=paypal%40eehouse.org

AutoName: Crosswords
Description: |-
    A cross-platform game with the same rules as Scrabble that can be played locally
    (on the same device), or against another device via data-SMS, Bluetooth and the internet.
    Start games via an invitation sent by email, SMS, or Bluetooth, or if somebody's nearby
    have them scan a QR Code.

    Drag letters onto the board next to other letters to
    make new words; press the number on the right of the screen to commit your move
    and let the next person move. An English wordlist is included but there is a
    link to the website to download wordlists to play in other languages.

    The source code supports push messaging via Google Play, but that won't function
    in this build even if Google Play is installed. It just means that moves won't
    be transmitted quite as quickly as if it were supported. Play via SMS or
    Bluetooth is unaffected by this.

RepoType: git
Repo: https://github.com/eehouse/xwords.git

Builds:
  - versionName: 4.4 beta 33
    versionCode: 26
    commit: android_beta_33
    subdir: xwords4/android/XWords4
    buildjni:
      - yes
    ndk: r12b

  - versionName: 4.4 beta 38
    versionCode: 30
    commit: android_beta_38
    subdir: xwords4/android/XWords4
    buildjni:
      - yes
    ndk: r12b

  - versionName: 4.4 beta 39
    versionCode: 31
    commit: android_beta_39
    subdir: xwords4/android/XWords4
    prebuild:
      - cd ..
      - scripts/genvers.sh >ant_out.txt
    target: android-8
    buildjni:
      - yes
    ndk: r12b

  - versionName: '4.4'
    versionCode: 50
    commit: android_beta_58
    subdir: xwords4/android/XWords4
    init: rm -f build.xml
    forceversion: true
    prebuild:
      - ../scripts/gen_gcmid.sh > src/org/eehouse/android/xw4/GCMConsts.java
      - cd ../
      - sed -i '/R.java/d' scripts/genvers.sh
      - scripts/genvers.sh XWords4 xw4 > ant_out.txt
    buildjni:
      - yes
    ndk: r12b

  - versionName: 4.4 beta 60
    versionCode: 52
    commit: android_beta_60
    subdir: xwords4/android/XWords4
    init: rm -f build.xml
    prebuild:
      - ../scripts/gen_gcmid.sh > src/org/eehouse/android/xw4/GCMConsts.java
      - cd ../
      - sed -i '/R.java/d' scripts/genvers.sh
      - scripts/genvers.sh XWords4 xw4 > ant_out.txt
    buildjni:
      - yes
    ndk: r12b

  - versionName: 4.4 beta 85
    versionCode: 77
    disable: cannot get genvers to run properly
    commit: android_beta_85
    subdir: xwords4/android/XWords4
    prebuild:
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - cd ..
      - ./scripts/genvers.sh XWords4 xw4 true true
    buildjni:
      - yes
    ndk: r12b

  - versionName: 4.4 beta 96
    versionCode: 89
    commit: android_beta_96
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4 beta 97
    versionCode: 90
    commit: android_beta_97
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4 beta 98
    versionCode: 91
    commit: android_beta_98
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4 beta 99
    versionCode: 93
    commit: android_beta_99
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4 beta 100
    versionCode: 94
    commit: android_beta_100
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4 beta 101
    versionCode: 95
    commit: android_beta_101
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - ../scripts/gen_gcmid.sh xw4 > src/org/eehouse/android/xw4/GCMConsts.java
      - ../scripts/genvers.sh xw4 XWords4 true true
      - rm -rf ../XWords4-dbg

  - versionName: 4.4.104
    versionCode: 98
    commit: android_beta_104
    subdir: xwords4/android/XWords4/app
    gradle:
      - xw4
    scandelete:
      - xwords4/android/XWords4-dbg/libs

  - versionName: 4.4.105
    versionCode: 99
    commit: android_beta_105
    subdir: xwords4/android/XWords4/app
    gradle:
      - xw4
    scandelete:
      - xwords4/android/XWords4-dbg/libs

  - versionName: 4.4.106
    versionCode: 100
    commit: android_beta_106
    subdir: xwords4/android/XWords4/app
    gradle:
      - xw4
    scandelete:
      - xwords4/android/XWords4-dbg/libs

  - versionName: 4.4.107
    versionCode: 101
    disable: https://gitlab.com/fdroid/fdroiddata/issues/453
    commit: android_beta_107
    subdir: xwords4/android/XWords4/app

  - versionName: 4.4.108
    versionCode: 103
    commit: android_beta_108
    subdir: xwords4/android/XWords4
    prebuild:
      - android update project -p . -t android-14
      - rm -rf ../XWords4-dbg

  - versionName: 4.4.111
    versionCode: 106
    commit: android_beta_111
    subdir: xwords4/android/XWords4
    prebuild:
      - rm -rf ../XWords4-dbg
      - cp ../../../local.properties ./
      - android update project -p . -t android-19
    build:
      - cp ../local.properties ./
      - ant release

  - versionName: 4.4.112
    versionCode: 107
    commit: android_beta_112
    subdir: xwords4/android/XWords4
    prebuild:
      - rm -rf ../XWords4-dbg
      - cp ../../../local.properties ./
      - android update project -p . -t android-19
    build:
      - cp ../local.properties ./
      - ant release

  - versionName: 4.4.114
    versionCode: 109
    disable: proprietary libs (GCM)
    commit: android_beta_114
    subdir: xwords4/android/XWords4
    prebuild:
      - rm -rf ../XWords4-dbg
      - cp ../../../local.properties ./
      - android update project -p . -t android-19
    build:
      - cp ../local.properties ./
      - ant release

  - versionName: 4.4.115
    versionCode: 111
    disable: proprietary libs (GCM)
    commit: android_beta_115
    subdir: xwords4/android/XWords4
    prebuild:
      - rm -rf ../XWords4-dbg
      - cp ../../../local.properties ./
      - android update project -p . -t android-23
    build:
      - cp ../local.properties ./
      - ant release

  - versionName: 4.4.118
    versionCode: 114
    disable: proprietary libs (GCM)
    commit: android_beta_118
    subdir: xwords4/android/app
    gradle:
      - Xw4

  - versionName: 4.4.119
    versionCode: 115
    disable: proprietary libs (GCM)
    commit: android_beta_119
    subdir: xwords4/android/app
    gradle:
      - Xw4
    gradleprops:
      - forFDroid

  - versionName: 4.4.131
    versionCode: 127
    commit: android_beta_131
    subdir: xwords4/android/app
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/android/libs
    prebuild: sed -i -e '/fabric/d; /crashlytics/,+2d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.137
    versionCode: 133
    commit: android_beta_137
    subdir: xwords4/android/app
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/android/libs
    prebuild: sed -i -e '/fabric/d; /crashlytics/,+2d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.138
    versionCode: 134
    commit: android_beta_138
    subdir: xwords4/android/app
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/android/libs
    prebuild: sed -i -e '/fabric/d; /crashlytics/,+2d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.140
    versionCode: 136
    commit: android_beta_140
    subdir: xwords4/android/app
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/android/libs
    prebuild: sed -i -e '/fabric/d; /crashlytics/,+2d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.145
    versionCode: 141
    commit: android_beta_145
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild: sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.147
    versionCode: 143
    commit: android_beta_147
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild: sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.148
    versionCode: 144
    commit: android_beta_148
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.149
    versionCode: 145
    commit: android_beta_149
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.153
    versionCode: 149
    commit: android_beta_153
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.154
    versionCode: 150
    commit: android_beta_154
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    gradleprops:
      - forFDroid

  - versionName: 4.4.159
    versionCode: 155
    commit: android_beta_159
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat
    gradle:
      - Xw4fdroid
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21
    gradleprops:
      - forFDroid

  - versionName: 4.4.163
    versionCode: 159
    commit: android_beta_163
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.164
    versionCode: 160
    commit: android_beta_164
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.166
    versionCode: 162
    commit: android_beta_166
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.168
    versionCode: 164
    commit: android_beta_168
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.169
    versionCode: 165
    commit: android_beta_169
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.171
    versionCode: 167
    commit: android_beta_171
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.172
    versionCode: 168
    commit: android_beta_172
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.173
    versionCode: 169
    commit: android_beta_173
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - forFDroid

  - versionName: 4.4.174
    versionCode: 170
    commit: android_beta_174
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21d
    gradleprops:
      - GITREV=android_beta_174

  - versionName: 4.4.175
    versionCode: 171
    commit: android_beta_175
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ./build.gradle
    ndk: r21e

  - versionName: 4.4.176
    versionCode: 172
    commit: android_beta_176
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.178
    versionCode: 174
    commit: android_beta_178
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.180
    versionCode: 176
    commit: android_beta_180
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.181
    versionCode: 178
    commit: android_beta_181
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.182
    versionCode: 179
    commit: android_beta_182
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.183
    versionCode: 180
    commit: android_beta_183
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.184
    versionCode: 181
    commit: android_beta_184
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.185
    versionCode: 182
    commit: android_beta_185
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.187
    versionCode: 184
    commit: android_beta_187
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.188
    versionCode: 185
    commit: android_beta_188
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.191
    versionCode: 188
    commit: android_beta_191
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat python3-lxml
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.192
    versionCode: 189
    disable: crash on Android 12
    commit: android_beta_192
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat make
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.193
    versionCode: 190
    commit: android_beta_193
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat make
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.195
    versionCode: 191
    commit: android_beta_195
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat make
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.196
    versionCode: 192
    commit: fdroid_release_192
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat make
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

  - versionName: 4.4.197
    versionCode: 193
    commit: 41e8cbf20cc00e5db19eb131f4d603f5c5546c9c
    subdir: xwords4/android/app
    sudo:
      - apt-get update
      - apt-get install -y graphicsmagick-imagemagick-compat make
    init: echo GITREV=$(git describe --tags --dirty) >> ../gradle.properties
    gradle:
      - Xw4fdroid
    rm:
      - xwords4/dawg/English/BasEnglish.dict.gz
    prebuild:
      - sed -i -e '/\/\/ rm-for-fdroid$/d' {..,.}/build.gradle
      - sed -i -e '/com.google.gms/d' build.gradle
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags ^fdroid_release
UpdateCheckData: xwords4/android/app/build.gradle|VERSION_CODE_BASE = (\d+)|.|VERSION_NAME
    = '([\d.]+)'
CurrentVersion: 4.4.197
CurrentVersionCode: 193
